> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sprinter.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns Solver Address

> Returns solver address and time solver will need to fill it.

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.sprinter.tech/protocol/{protocol}/solver'
  ```

  ```python Python theme={null}
  import requests

  response = requests.get("https://api.sprinter.tech/protocol/{protocol}/solver")
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    "https://api.sprinter.tech/protocol/{protocol}/solver"
  );
  const data = await response.json();
  console.log(data);
  ```

  ```go Go theme={null}
  package main

  import (
  	"fmt"
  	"io"
  	"net/http"
  )

  func main() {
  	resp, _ := http.Get("https://api.sprinter.tech/protocol/{protocol}/solver")
  	defer resp.Body.Close()
  	body, _ := io.ReadAll(resp.Body)
  	fmt.Println(string(body))
  }
  ```
</RequestExample>


## OpenAPI

````yaml get /protocol/{protocol}/solver
openapi: 3.0.0
info:
  contact: {}
  title: ''
  version: 0.0.1
servers:
  - url: https://api.sprinter.tech
    description: Production server
security: []
paths:
  /protocol/{protocol}/solver:
    get:
      summary: Returns solver address
      description: Returns solver address and time solver will need to fill it.
      parameters:
        - description: order amount in USD
          name: amount
          in: query
          required: true
          schema:
            type: integer
        - description: destination chain in caip format
          name: destinationChainId
          in: query
          required: true
          schema:
            type: string
        - description: destination token, either symbol or address
          name: destinationToken
          in: query
          required: true
          schema:
            type: string
        - description: source chain in caip format
          name: sourceChainId
          in: query
          required: true
          schema:
            type: string
        - description: source token, either symbol or address
          name: sourceToken
          in: query
          required: true
          schema:
            type: string
        - description: Protocol on which intent will be executed
          name: protocol
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.GetSolverHandler.response'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
components:
  schemas:
    server.GetSolverHandler.response:
      type: object
      required:
        - duration
        - solver
      properties:
        duration:
          type: integer
        solver:
          type: string
    responses.ErrorResponse:
      type: object
      required:
        - error
      properties:
        debug:
          type: string
        error:
          type: string

````